org.keycloak.validation

## Class ValidationUtil

- java.lang.Object
- - org.keycloak.validation.ValidationUtil

-     public class ValidationUtil
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ValidationUtil.ErrorHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validateClient(KeycloakSession session, ClientModel client, boolean create, ValidationUtil.ErrorHandler errorHandler)`
    `static void` | `validateClient(KeycloakSession session, ClientModel client, OIDCClientRepresentation oidcClient, boolean create, ValidationUtil.ErrorHandler errorHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationUtil

          public ValidationUtil()

  - ### Method Detail

    - #### validateClient

          public static void validateClient(KeycloakSession session,
                                            ClientModel client,
                                            boolean create,
                                            ValidationUtil.ErrorHandler errorHandler)
                                     throws javax.ws.rs.BadRequestException

      Throws:
        `javax.ws.rs.BadRequestException`

    - #### validateClient

          public static void validateClient(KeycloakSession session,
                                            ClientModel client,
                                            OIDCClientRepresentation oidcClient,
                                            boolean create,
                                            ValidationUtil.ErrorHandler errorHandler)
                                     throws javax.ws.rs.BadRequestException

      Throws:
        `javax.ws.rs.BadRequestException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.